groovy.ui

## Class ConsoleSupport

- java.lang.Object
- - groovy.ui.ConsoleSupport

    public abstract class ConsoleSupport
    extends Object

Base class for console

Version:
  $Revision: 6778 $
Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`ConsoleSupport()`

### Method Summary

Methods
`protected void` `addStylesToDocument(JTextPane outputArea)`
`protected Object` `evaluate(String text)`
`Style` `getCommandStyle()`
`Style` `getOutputStyle()`
`Style` `getPromptStyle()`
`GroovyShell` `getShell()`
`protected abstract void` `handleException(String text, Exception e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConsoleSupport

    public ConsoleSupport()

### Method Detail

#### addStylesToDocument

    protected void addStylesToDocument(JTextPane outputArea)

#### getCommandStyle

    public Style getCommandStyle()

#### getOutputStyle

    public Style getOutputStyle()

#### getPromptStyle

    public Style getPromptStyle()

#### getShell

    public GroovyShell getShell()

#### evaluate

    protected Object evaluate(String text)

#### handleException

    protected abstract void handleException(String text,
                       Exception e)